Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.world
Interface World

All Known Implementing Classes:
  BasicWorld, GridWorld

    public interface World

Method Summary
`void` | `addAction(Action action)`
`void` | `addAgent(WorldAgent agent)`
`void` | `addGoal(State s)`
`void` | `addState(State state)`
`List<Action>` | `getActions()`
`List<WorldAgent>` | `getAgents()`
`List<State>` | `getGoals()`
`double` | `getPolicyValue(State state, Action action)`
`ActionProbability` | `getProbability()`
`List<State>` | `getStates()`
`boolean` | `isGoalState(State s)`
`void` | `removeAgent(WorldAgent agent)`
`void` | `removeGoal(State s)`
`void` | `runToGoal(WorldAgent a)`
`void` | `setAllRewards(double d)`
`void` | `setPolicyValue(State state, Action action, double r)`
`void` | `setProbability(ActionProbability probability)`
`void` | `tick()`

Method Detail

### getAgents

    List<WorldAgent> getAgents()

### getActions

    List<Action> getActions()

### getStates

    List<State> getStates()

### addState

    void addState(State state)

### addAction

    void addAction(Action action)

### setPolicyValue

    void setPolicyValue(State state,
                        Action action,
                        double r)

### getPolicyValue

    double getPolicyValue(State state,
                          Action action)

### getProbability

    ActionProbability getProbability()

### setProbability

    void setProbability(ActionProbability probability)

### addAgent

    void addAgent(WorldAgent agent)

### removeAgent

    void removeAgent(WorldAgent agent)

### addGoal

    void addGoal(State s)

### removeGoal

    void removeGoal(State s)

### getGoals

    List<State> getGoals()

### isGoalState

    boolean isGoalState(State s)

### runToGoal

    void runToGoal(WorldAgent a)

### tick

    void tick()

### setAllRewards

    void setAllRewards(double d)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.